apiVersion: v1
kind: ConfigMap
metadata:
  name: gitea-runner-config
  namespace: geocrop
data:
  config.yaml: |
    log:
      level: info
    runner:
      file: .runner
      capacity: 1
      timeout: 3h
      fetch_timeout: 5s
      fetch_interval: 2s
      labels:
        - "ubuntu-latest:docker://docker.gitea.com/runner-images:ubuntu-latest"
        - "ubuntu-24.04:docker://docker.gitea.com/runner-images:ubuntu-24.04"
        - "ubuntu-22.04:docker://docker.gitea.com/runner-images:ubuntu-22.04"
      envs:
        DOCKER_HOST: "tcp://localhost:2375"
    cache:
      enabled: true
      dir: ""
      host: ""
      port: 0
    container:
      privileged: true
      network: host
      docker_host: "tcp://localhost:2375"
      force_pull: true
